# Tag | Antville 1.4 API Reference

Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2012-4-22 10:17

# Class Tag

- Defined in: Tag.js
- Extends HopObject

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Tag()

Field Summary
Field Attributes | Field Name and Description
--- | ---
<private> | _children
<static> <constant> | Tag.DELIMITER
| images
<static> <constant> | Tag.MOUNTPOINTS
| name
| site
| stories
| type

## Method Summary

Method Attributes | Method Name and Description
--- | ---
<static> | Tag.add(name, site, type)
| getPermission(action)
| getTagged()
| getTitle()
| href(action)
| permission_macro(param, type)
| toString()

Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  creator_macro
  deleteMetadata
  getFormOptions
  getFormValue
  getMetadata
  getTags
  handleMetadata
  input_macro
  kind_macro
  link_filter
  link_macro
  log
  macro_macro
  map
  metadata_macro
  modified_macro
  modifier_macro
  notify
  onCodeUpdate
  onRequest
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  skin_macro
  textarea_macro
  touch
  type_macro
  upload_macro

## Class Detail

Tag()

## Field Detail

<private> {TagHub[]} _children
<static> <constant> Tag.DELIMITER
{Images[]} images
<static> <constant> Tag.MOUNTPOINTS
{String} name
{Site} site
{Story[]} stories
{String} type

## Method Detail

- <static> Tag.add(name, site, type)
  Parameters:
  {String} name
  {Site} site
  {String} type
- {Boolean} getPermission(action)
  Parameters:
  {String} action
  Returns:
    {Boolean}
- {Story[]|Image[]} getTagged()
  Returns:
    {Story[]|Image[]}
- {String} getTitle()
  Returns:
    {String}
- {String} href(action)
  Parameters:
  {String} action
  Returns:
    {String}
- permission_macro(param, type)
  Parameters:
  {Object} param
  {String} type
- {String} toString()
  Returns:
    {String}